Bug 4702 - [UPDATE REQUEST] grub2-2.00-63
: [UPDATE REQUEST] grub2-2.00-63
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-20 15:27 MSK by Konstantin Vlasov
Modified: 2014-12-02 18:55 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
konstantin.vlasov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-11-20 15:27:37 MSK
grub2 was updated to be ready for the future SecureBoot support.
Comment 1 Konstantin Vlasov 2014-11-20 15:30:52 MSK
https://abf.rosalinux.ru/build_lists/2335318
https://abf.rosalinux.ru/build_lists/2335319

Advisory:
1. EFI mode improvements for the future SecureBoot support:
  a) Generating config file: /boot/efi/EFI/rosa/grub.cfg file is now a small template which sets the root device and redirects grub to the main config file: /boot/grub2/grub.cfg.
  b) Grub2 installation: Instead of generating new grubx64.efi image, an existing pre-built one is copied. Reason: this image can be signed by ROSA when building the package, which will allow loading it by the shim when SecureBoot is enabled.
  c) Grub2 installation: If SecureBoot is available for this machine (no matter, turned on or off), and shim is present, using shim instead of grub2 as bootloader.
2. Man pages for grub2-efi* moved from grub2 package to grub2-efi.
3. Some patches and spec cleanup.
Comment 2 Vladimir Potapov 2014-11-20 16:10:58 MSK
Образ бы с новым грабом. Иначе проверка будет сильно неполной.
Comment 4 Vladimir Potapov 2014-11-27 19:52:16 MSK
update-grub2
Генерируется grub.cfg …
Найдена тема: /boot/grub2/themes/rosa/theme.txt
Найден фон: /boot/grub2/themes/rosa/terminal_background.png
Найден образ linux: /boot/vmlinuz-3.14.25-nrj-desktop-pae-1rosa
Найден образ initrd: /boot/initrd-3.14.25-nrj-desktop-pae-1rosa.img
Найден образ linux: /boot/vmlinuz-3.14.25-nrj-desktop-1rosa
Найден образ initrd: /boot/initrd-3.14.25-nrj-desktop-1rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-desktop-pae-3rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-desktop-pae-3rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-desktop-pae-2rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-desktop-pae-2rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-desktop-3rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-desktop-3rosa.img
Найден образ linux: /boot/vmlinuz-3.14.22-nrj-desktop-2rosa
Найден образ initrd: /boot/initrd-3.14.22-nrj-desktop-2rosa.img
Найден образ linux: /boot/vmlinuz-3.14.15-nrj-desktop-pae-1rosa
Найден образ initrd: /boot/initrd-3.14.15-nrj-desktop-pae-1rosa.img
Найден образ linux: /boot/vmlinuz-3.14.15-nrj-desktop-1rosa
Найден образ initrd: /boot/initrd-3.14.15-nrj-desktop-1rosa.img
Найден ROSA Desktop Fresh R4 (2014.1) на /dev/sda2
Найден ROSA Linux 2012.0 (2012.0) на /dev/sdb1
Найден ROSA Desktop Fresh R3 (2012.1) на /dev/sdb12
Найден Debian GNU/Linux (jessie/sid) на /dev/sdb15
Найден Debian GNU/Linux (wheezy/sid) на /dev/sdb15
Найден ROSA SX "CHROME" 1.0 на /dev/sdb3
Найден Fedora release 20 (Heisenbug) на /dev/sdb4
Найден ROSA Linux 2012.0 (2012.0) на /dev/sdb7
Найден unknown Linux distribution на /dev/sdb9
/etc/grub.d/42_efi: строка 9: efibootmgr: команда не найдена
завершено


Смущает последняя строчка. Запущено из 32 разрядной системы, запущенной из под efi-grub от 64-ой Росы.
Comment 5 Konstantin Vlasov 2014-11-27 20:42:41 MSK
Насколько я понимаю, это не регрессия. Сценарий 32-битной Росы из-под EFI (хоть 64-битного, хоть 32-битного) пока официально не поддерживается (хотя работа в этом направлении ведётся).

Ключевая проблема тут в том, что 64-битный EFI в связке с 32-битным ядром работать не может. Поэтому складывается интересная картинка: EFI как бы есть, и его как бы нет. Генератор конфига граба видит EFI и пытается работать в EFI-режиме, но не может (даже если доустановить отсутствующий efibootmgr, тот не сможет выполнить задачу, которую от него просят - выдать список имеющихся загрузчиков).
Comment 6 Vladimir Potapov 2014-12-02 16:50:13 MSK
Поставил с тестового образа систему на EFI. Перестала сохраняться выбранная система при старте :-(
Comment 7 Vladimir Potapov 2014-12-02 17:15:29 MSK
(In reply to comment #6)
> Поставил с тестового образа систему на EFI. Перестала сохраняться выбранная
> система при старте :-(
Не на EFI все нормально.
Comment 8 Vladimir Potapov 2014-12-02 18:45:37 MSK
grub2-2.00-63
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2335318/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2335319/x86_64/main/release/
**************************** Advisory **************************
1. EFI mode improvements for the future SecureBoot support:
  a) Generating config file: /boot/efi/EFI/rosa/grub.cfg file is now a small template which sets the root device and redirects grub to the main config file: /boot/grub2/grub.cfg.
  b) Grub2 installation: Instead of generating new grubx64.efi image, an existing pre-built one is copied. Reason: this image can be signed by ROSA when building the package, which will allow loading it by the shim when SecureBoot is enabled.
  c) Grub2 installation: If SecureBoot is available for this machine (no matter, turned on or off), and shim is present, using shim instead of grub2 as bootloader.
2. Man pages for grub2-efi* moved from grub2 package to grub2-efi.
*******************************************************************
QA Verified
Comment 9 Konstantin Vlasov 2014-12-02 18:55:17 MSK
В личной переписке выяснили, что проблема с несохранением вызвана использованием btrfs, для которой сохранение загрузочного окружения grub не поддерживается. Публикую.